VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICommonDirectories Class Referenceabstract

`#include <icommondirectories.h>`

Inheritance diagram for ICommonDirectories:

## Public Member Functions
virtual Optional< UTF8String > | get (CommonDirectoryLocation location, const UTF8String &subDir="", bool create=false) const =0
| Get a common directory.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Member Function Documentation

## ◆ get()

virtual Optional< UTF8String > get | ( | CommonDirectoryLocation | location,
|  | const UTF8String & | subDir = "",
|  | bool | create = false ) const
| pure virtual

Get a common directory.

Parameters

  location | the location of the directory
  subDir | optional sub directory
  create | create directory if it does not exist

Returns
  If location does exist the string is the path to the directory with the last character the path separator.

The documentation for this class was generated from the following file:

- icommondirectories.h